// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_HASHERS_H
#define OB_HASHERS_H

CORBA_ULong OBHash(const char* key);
bool OBHashCompare(const char* k1, const char* k2);

CORBA_ULong OBHash(const OBFixSeq<CORBA_Octet>& key);
bool OBHashCompare(const OBFixSeq<CORBA_Octet>& k1,
                   const OBFixSeq<CORBA_Octet>& k2);

#endif
